### Method

# Ide Pipeline contains_program_in_path

#### Declaration

    gboolean
    ide_pipeline_contains_program_in_path (
      IdePipeline* self,
      const gchar* name,
      GCancellable* cancellable
    )

#### Description

Looks through the runtime and SDK extensions for binaries matching `name` that may be executed.

Available since: | 3.34

#### Parameters

`name` | `const gchar*`
| The name of a binary.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `name` was found; otherwise `FALSE`.